Bug 822207 - (CVE-2012-2149) CVE-2012-2149 libwpd: Memory overwrite flaw by processing certain WordPerfect (WPD) documents
CVE-2012-2149 libwpd: Memory overwrite flaw by processing certain WordPerfect...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20120516,repo...
: Security
Depends On: 829381 829382
Blocks: 821911
  Show dependency treegraph
 
Reported: 2012-05-16 12:07 EDT by Jan Lieskovsky
Modified: 2012-11-12 10:11 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-26 14:52:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backport to RHEL-5 (3.96 KB, patch)
2012-05-17 08:50 EDT, Caolan McNamara
no flags Details | Diff

  None (edit)
Description Jan Lieskovsky 2012-05-16 12:07:28 EDT
A memory overwrite flaw was found in the way a customized, internal copy of libwpd (a library for handling WordPerfect documents), as used by OpenOffice.org application suite processed certain WordPerfect (WPD) documents. A remote attacker could provide a specially-crafted WPD file, which once opened in an application from the OpenOffice.org suite, would lead to that application crash, or, potentially arbitrary code execution with the privileges of the user running the application.

OpenOffice.org upstream advisory:
[1] http://www.openoffice.org/security/cves/CVE-2012-2149.html
Comment 8 Jan Lieskovsky 2012-05-17 12:11:57 EDT
This issue affects the version of the libwpd package, as shipped with Red Hat Enteprise Linux 5.

--

This issue did NOT affect the version of the libwpd package, as shipped with
Red Hat Enterprise Linux 6.

--

This issue did NOT affect the versions of the libwpd package, as shipped with Fedora release of 15 and 16.
Comment 12 errata-xmlrpc 2012-06-26 13:20:36 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:1043 https://rhn.redhat.com/errata/RHSA-2012-1043.html

Note You need to log in before you can comment on or make changes to this bug.